
/*------------------------------------------------------------------------
    File        : ec-2301-after-01-ec-storage_tariff.p
    Purpose     : 

    Syntax      :

    Description : 

    Author(s)   : 
    Created     : 
    Notes       :
  ----------------------------------------------------------------------*/

/* ***************************  Definitions  ************************** */
&IF defined(DEBUG) > 0 &THEN 
  PROCEDURE displayProgress.
    DEF INPUT PARAM pcProgram AS CHAR NO-UNDO.
    DEF INPUT PARAM pcAction  AS CHAR NO-UNDO.
    DEF INPUT PARAM pcTable   AS CHAR NO-UNDO.
    DEF INPUT PARAM piTotal   AS INT  NO-UNDO.
    DEF INPUT PARAM piDone    AS INT  NO-UNDO.
  END PROCEDURE.
&ELSE
 {System/conversion/conversion_progress.i}
&ENDIF
/* ***************************  Main Block  *************************** */
DEFINE VARIABLE cProgram    AS CHARACTER NO-UNDO FORMAT "x(50)".
DEFINE VARIABLE cAction     AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE cTable      AS CHARACTER NO-UNDO FORMAT "X(50)".
DEFINE VARIABLE iTotal      AS INTEGER   NO-UNDO.
DEFINE VARIABLE iDone       AS INTEGER   NO-UNDO.
DEFINE VARIABLE iTel        AS INTEGER   NO-UNDO.

DISABLE TRIGGERS FOR LOAD OF ec-storage_tariff.
DEFINE BUFFER b-ec-storage_tariff FOR ec-storage_tariff.

ASSIGN
  cProgram = THIS-PROCEDURE:FILE-NAME
  cAction  = "ec-storage_tariff"
  cTable   = "ec-storage_tariff"
  iTotal   = 0
  iDone    = 0.

RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).

FOR EACH sp-company NO-LOCK :
  
  FOR EACH b-ec-storage_tariff WHERE
           b-ec-storage_tariff.companycode = sp-company.companycode
           NO-LOCK:
    
    DO TRANSACTION:
      FIND CURRENT b-ec-storage_tariff EXCLUSIVE.
      b-ec-storage_tariff.tariffnr = NEXT-VALUE(ec-storage_tariff-seq).
    END.
      
    iDone  = iDone + 1.
    iTotal = iDone.
    RUN DisplayProgress (cProgram, cAction, cTable, iTotal, iDone).
  
  END.

END.
