/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/Move.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:18
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttMove BEFORE-TABLE bttMove
    FIELD blnr LIKE ec-move.blnr
    FIELD bookingnr LIKE ec-move.bookingnr
    FIELD calc_container AS CHARACTER LABEL "Container"
    FIELD companycode LIKE ec-move.companycode
    FIELD companycode-2 LIKE ec-move.companycode-2 FORMAT "X(4)" SERIALIZE-NAME "companycode_2"
    FIELD containernr LIKE ec-move.containernr
    FIELD containerprefix LIKE ec-move.containerprefix
    FIELD customer LIKE ec-move.customer
    FIELD date_seq LIKE ec-move.date_seq
    FIELD des LIKE ec-move.des
    FIELD dest_portcode LIKE ec-move.dest_portcode
    FIELD dis_locationcode LIKE ec-move.dis_locationcode
    FIELD dropoff_refnr LIKE ec-move.dropoff_refnr
    FIELD dt_move LIKE ec-move.dt_move
    FIELD edi_filename LIKE ec-move.edi_filename
    FIELD ext_addressnr LIKE ec-move.ext_addressnr
    FIELD ext_alfa_1 LIKE ec-move.ext_alfa_1
    FIELD ext_alfa_2 LIKE ec-move.ext_alfa_2
    FIELD ext_date_1 LIKE ec-move.ext_date_1
    FIELD ext_date_2 LIKE ec-move.ext_date_2
    FIELD ext_dec_1 LIKE ec-move.ext_dec_1
    FIELD ext_dec_2 LIKE ec-move.ext_dec_2
    FIELD ext_int_1 LIKE ec-move.ext_int_1
    FIELD ext_int_2 LIKE ec-move.ext_int_2
    FIELD ext_linecode LIKE ec-move.ext_linecode
    FIELD ext_locationcode LIKE ec-move.ext_locationcode
    FIELD ext_motcode LIKE ec-move.ext_motcode
    FIELD ext_portcode LIKE ec-move.ext_portcode
    FIELD ext_statuscode LIKE ec-move.ext_statuscode
    FIELD full_empty LIKE ec-move.full_empty
    FIELD input_dt LIKE ec-move.input_dt
    FIELD input_remark LIKE ec-move.input_remark
    FIELD input_username LIKE ec-move.input_username
    FIELD linecode LIKE ec-move.linecode
    FIELD locationcode LIKE ec-move.locationcode
    FIELD modified LIKE ec-move.modified
    FIELD motcode LIKE ec-move.motcode
    FIELD move_refnr LIKE ec-move.move_refnr
    FIELD move_refnr-2 LIKE ec-move.move_refnr-2 INITIAL 0 FORMAT ">>>>>>>>>9" SERIALIZE-NAME "move_refnr_2"
    FIELD overrule_trace LIKE ec-move.overrule_trace
    FIELD pickup_refnr LIKE ec-move.pickup_refnr
    FIELD pod_portcode LIKE ec-move.pod_portcode
    FIELD pol_portcode LIKE ec-move.pol_portcode
    FIELD release_refnr LIKE ec-move.release_refnr
    FIELD reported LIKE ec-move.reported
    FIELD sealno LIKE ec-move.sealno
    FIELD sendercode LIKE ec-move.sendercode
    FIELD servicecode LIKE ec-move.servicecode
    FIELD statuscode LIKE ec-move.statuscode
    FIELD stow_cell LIKE ec-move.stow_cell
    FIELD subleasecontractcode LIKE ec-move.subleasecontractcode
    FIELD tim_input LIKE ec-move.tim_input
    FIELD time_move LIKE ec-move.time_move
    FIELD transaction_refnr LIKE ec-move.transaction_refnr
    FIELD typecode LIKE ec-move.typecode
    FIELD vesselcode LIKE ec-move.vesselcode
    FIELD vesselnr LIKE ec-move.vesselnr
    FIELD weight LIKE ec-move.weight
    FIELD xref_overrule_symbol AS CHARACTER LABEL "Warn"
.

DEFINE DATASET dsMove FOR ttMove.